struct VS_RESULT {
  float2 texCoord:  TEXCOORD0;
  float4 pos:       POSITION;
};

uniform float4x4 worldViewProj;

VS_RESULT main(float4 pos: POSITION,
               float3 normal: NORMAL,
               float2 texCoord0: TEXCOORD0
              )
{
   VS_RESULT result;

   result.pos        = mul(worldViewProj, pos);
   result.texCoord   = texCoord0;
   
   return result;
}