Macro Check(Status, Error, EndProgram = 1)
  If Not Status
    MessageRequester("ERROR", Error)
    CompilerIf EndProgram
      End
    CompilerEndIf
  EndIf
EndMacro

Check(InitEngine3D(), "InitEngine3D failed.")
Check(InitSprite(), "InitSprite failed.")
Check(InitKeyboard(), "InitKeyboard failed.")

Check(ExamineDesktops(), "ExamineDesktops failed.")

Add3DArchive("data", #PB_3DArchive_FileSystem)

Check(OpenScreen(DesktopWidth(0), DesktopHeight(0), 32, "Shadertest"), "OpenScreen failed.")

Parse3DScripts()

Check(LoadMesh(0, "Cube.mesh"), "LoadMesh failed")

CreateEntity(0, MeshID(0), #PB_Material_None)
ScaleEntity(0, 0.1, 0.1, 0.1)
RotateEntity(0, 90.0, 0.0, 180.0)

CreateCamera(0, 0, 0, 100, 100)
CameraLocate(0, -5, 5, -10)
CameraLookAt(0, 0, 0, 0)

Repeat
  ClearScreen(0)
  RenderWorld()
  FlipBuffers()
  
  ExamineKeyboard()
Until KeyboardPushed(#PB_Key_Escape)
End
; IDE Options = PureBasic 4.60 Beta 3 (Windows - x64)
; CursorPosition = 15
; Folding = -
; EnableXP